//
// Created by sfd on 25-5-18.
//

#ifndef GAMELAYER_H
#define GAMELAYER_H
#include <Hazel/Core/Layer.h>
#include <Hazel/Renderer/OrthographicCameraController.h>


using namespace Hazel;

class GameLayer : public Layer{
public:
    GameLayer();
    ~GameLayer() = default;

    void OnAttach() override;
    void OnDetech() override;
    void OnUpdate(TimeStep& ts) override;
    void OnEvent(SDL_Event& e) override;
    void OnImGuiRender() override;

private:
    OrthographicCameraController m_cameraController;
};



#endif //GAMELAYER_H
